This project has moved. For the latest updates, please go here.

IS POSSIBLE ? SharpKML for .NET Framework 3.5

Apr 21, 2014 at 12:39 PM
Hi,

First, thanks for this project, SharpKML is very good.

I'm developing an application for AutoCAD to extract a lot of information to KML file (the Autodesk tool Publish to Google Earth is not an option), but AutoCAD 2011 does not support NET Framework 4 (supports only 3.5), is possible you compile SharpKML to NET Framework 3.5?

sorry my English
Coordinator
Apr 21, 2014 at 9:52 PM
It should be possible with minimal changes; I think the only features I'm using form .NET 4.0 is the Tuple struct and maybe string.IsNullOrWhiteSpace so there shouldn't be much to change.

You'll need to download the source code and make the changes yourself though, but let me know if there's anything you get stuck on anything and I'll try and help.

Sam
Apr 21, 2014 at 11:23 PM
I try open in Visual Studio 2012 and 2013, both Express Version, the project is unsupported:


Unsupported
This version of Visual Studio does not have the following project types installed or does not support them. You can still open these projects in the version of Visual Studio in which they were originally created.
 - SharpKml.Core, "C:\Users\carlos.fale\Downloads\sharpkml-39869\SharpKml\SharpKml.Core.csproj"

No changes required
These projects can be opened in this version of Visual Studio without changing them. They will continue to open in Visual Studio 2010 SP1 and in this version of Visual Studio.
 - Examples, "C:\Users\carlos.fale\Downloads\sharpkml-39869\Examples\Examples.csproj"
 - UnitTests, "C:\Users\carlos.fale\Downloads\sharpkml-39869\UnitTests\UnitTests.csproj"
 - SharpKml.Kmz, "C:\Users\carlos.fale\Downloads\sharpkml-39869\SharpKml.Kmz\SharpKml.Kmz.csproj"
 - SharpKml, "C:\Users\carlos.fale\Downloads\sharpkml-39869\SharpKml.sln"